%define anolis_release 1

Summary:        Real-time file compressor
Name:           lzop
Version:        1.04
Release:        %{anolis_release}%{?dist}
License:        GPLv2+
URL:            https://www.lzop.org/
Source0:        https://www.lzop.org/download/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  lzo-devel
BuildRequires:  make

%description
lzop is a compression utility which is designed to be a companion to gzip.
It is based on the LZO data compression library and its main advantages over
gzip are much higher compression and decompression speed at the cost of some
compression ratio. The lzop compression utility was designed with the goals
of reliability, speed, portability and with reasonable drop-in compatibility
to gzip.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.*
%dir %{abidir}
%{abidir}/lzop-option.list

%files doc
%doc AUTHORS NEWS README THANKS

%changelog
* Sat Mar 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.04-1
- init from upstream
